/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hu.nir.nmail.spring.beans;

import hu.nir.nmail.ejb.entity.EmailSendingProces;
import java.util.Date;

/**
 *
 * @author attila
 */
public class EmailProcesData extends ProcesData {
    private long emailCount;
    private long sentEmail;
    private long failedEmail;
    private Date endProces;
    private Date startProces;
    
    public EmailProcesData() {
        
    }
    
    public EmailProcesData(EmailSendingProces emailSendingProces) {
        this.emailCount = emailSendingProces.getEmailCount();
        this.failedEmail = emailSendingProces.getFailedEmail();
        this.sentEmail = emailSendingProces.getSentEmail();
        this.endProces = emailSendingProces.getEndProces();
        this.startProces = emailSendingProces.getStartProces();
        setProcesType("NMAIL.EMAILSENDING");
    }

    public long getEmailCount() {
        return emailCount;
    }

    public void setEmailCount(long emailCount) {
        this.emailCount = emailCount;
    }

    public long getSentEmail() {
        return sentEmail;
    }

    public void setSentEmail(long sentEmail) {
        this.sentEmail = sentEmail;
    }

    public long getFailedEmail() {
        return failedEmail;
    }

    public void setFailedEmail(long failedEmail) {
        this.failedEmail = failedEmail;
    }

    public Date getEndProces() {
        return endProces;
    }

    public void setEndProces(Date endProces) {
        this.endProces = endProces;
    }

    public Date getStartProces() {
        return startProces;
    }

    public void setStartProces(Date startProces) {
        this.startProces = startProces;
    }
}
